Loading...
Searching...
No Matches
juce::ARADocumentController Class Referenceabstract

The documentation for this class was generated from the following file:

- juce_audio_processors_headless/utilities/ARA/juce_ARADocumentControllerCommon.h

Inherits ARA::PlugIn::DocumentController.

## Public Member Functions

template<typename Document_t = ARADocument>
Document_t * | getDocument () const noexcept
virtual void | internalNotifyAudioSourceAnalysisProgressStarted (ARAAudioSource *audioSource)=0
virtual void | internalNotifyAudioSourceAnalysisProgressUpdated (ARAAudioSource *audioSource, float progress)=0
virtual void | internalNotifyAudioSourceAnalysisProgressCompleted (ARAAudioSource *audioSource)=0
virtual void | internalDidUpdateAudioSourceAnalysisProgress (ARAAudioSource *audioSource, ARAAudioSource::ARAAnalysisProgressState state, float progress)=0
virtual void | internalNotifyAudioSourceContentChanged (ARAAudioSource *audioSource, ARAContentUpdateScopes scopeFlags, bool notifyARAHost)=0
virtual void | internalNotifyAudioModificationContentChanged (ARAAudioModification *audioModification, ARAContentUpdateScopes scopeFlags, bool notifyARAHost)=0
virtual void | internalNotifyPlaybackRegionContentChanged (ARAPlaybackRegion *playbackRegion, ARAContentUpdateScopes scopeFlags, bool notifyARAHost)=0

## Member Functions

## getDocument()

template<typename Document_t = ARADocument>

Document_t * juce::ARADocumentController::getDocument | ( |  | ) | const

inline noexcept

## internalNotifyAudioSourceAnalysisProgressStarted()

virtual void juce::ARADocumentController::internalNotifyAudioSourceAnalysisProgressStarted | ( | ARAAudioSource * | audioSource | ) |

pure virtual

## internalNotifyAudioSourceAnalysisProgressUpdated()

virtual void juce::ARADocumentController::internalNotifyAudioSourceAnalysisProgressUpdated | ( | ARAAudioSource * | audioSource,
|  | float | progress )

pure virtual

## internalNotifyAudioSourceAnalysisProgressCompleted()

virtual void juce::ARADocumentController::internalNotifyAudioSourceAnalysisProgressCompleted | ( | ARAAudioSource * | audioSource | ) |

pure virtual

## internalDidUpdateAudioSourceAnalysisProgress()

virtual void juce::ARADocumentController::internalDidUpdateAudioSourceAnalysisProgress | ( | ARAAudioSource * | audioSource,
|  | ARAAudioSource::ARAAnalysisProgressState | state,
|  | float | progress )

pure virtual

## internalNotifyAudioSourceContentChanged()

virtual void juce::ARADocumentController::internalNotifyAudioSourceContentChanged | ( | ARAAudioSource * | audioSource,
|  | ARAContentUpdateScopes | scopeFlags,
|  | bool | notifyARAHost )

pure virtual

## internalNotifyAudioModificationContentChanged()

virtual void juce::ARADocumentController::internalNotifyAudioModificationContentChanged | ( | ARAAudioModification * | audioModification,
|  | ARAContentUpdateScopes | scopeFlags,
|  | bool | notifyARAHost )

pure virtual

## internalNotifyPlaybackRegionContentChanged()

virtual void juce::ARADocumentController::internalNotifyPlaybackRegionContentChanged | ( | ARAPlaybackRegion * | playbackRegion,
|  | ARAContentUpdateScopes | scopeFlags,
|  | bool | notifyARAHost )

pure virtual

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited